<!--<br>
<h3> TRÁMITE: CERTIFICACIÓN DE JURISDICCIÓN</h3>

<div class="carded">-->

<div class="text-center" *ngIf="cargando">
    <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
        <span class="sr-only">Cargando...</span>
    </div>
</div>
<mat-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup" label="Ubique el Terreno">
        <form [formGroup]="FormGroupBusqueda">
            <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
            <mat-drawer-container class="example-container" autosize>
                <mat-drawer id="drawer" #drawer position="end" mode="side">
                    <div class="d-flex flex-column px-3">
                        <div class="d-flex justify-content-end">
                            <button (click)="drawer.toggle()" mat-icon-button>
                                <mat-icon>arrow_forward</mat-icon>
                            </button>
                        </div>
                        <div class="my-2">
                            <b>Buscar</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </div>
                    <div class="d-flex flex-column px-3">
                        <div class="my-2">
                            <b>Buscar por coordenadas</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </div>
                </mat-drawer>
                <div id="map" name="map" style="height: 430px" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorLote($event)" [leafletOptions]="options"></div>

                <div class="rounded border border-2 w-100 p-4 mt-4">
                    <div class="col-md-6 px-2" style="justify-content: center; align-items: center;"> VISTA PRELIMINAR DEL PLANO DE USO DE SUELO
                    </div>
                    <div class="d-flex flex-wrap mt-4">

                        <div class="col-md-6 px-2">
                            <div class="row justify-content-center">
                                <div class="col-md-6">
                                    <div class="row justify-content-center">

                                        <div class="col">
                                            <div id="map_export" name="map_export" style="height: 700px; width:700px; background: white;" leaflet (leafletMapReady)="onMapReady1($event)" [leafletOptions]="options1"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </mat-drawer-container>
            <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>

            <div>
                <br />
                <button mat-button matStepperNext>Siguiente</button>
            </div>
        </form>
    </mat-step>

    <mat-step [stepControl]="secondFormGroup" [completed]="miFormulario_PlanoTerreno.valid" label="Datos de Catastro">
        <div class="rounded border border-2 w-100 p-4 mt-4">
            <form [formGroup]="miFormulario_PlanoTerreno">

                <div class="d-flex flex-wrap mt-4">
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Superficie según título</mat-label>
                            <input matInput formControlName="superficietitulo" />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Superficie según mensura</mat-label>
                            <input matInput formControlName="superficiemensura" />
                        </mat-form-field>
                    </div>

                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="distrito" matInput />
                        </mat-form-field>
                    </div>

                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Zona</mat-label>
                            <input formControlName="zona" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="uv" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="manzana" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="lote" matInput />
                        </mat-form-field>
                    </div>

                    <div class="w-100 d-flex justify-content-between mt-4">
                        <button mat-button matStepperPrevious>Anterior</button>
                        <button mat-button (click)="irSiguiente($event)">Siguiente</button>
                        <!--matStepperNext-->
                    </div>
                </div>
            </form>
        </div>
    </mat-step>


    <mat-step>
        <ng-template matStepLabel>Pago del trámite</ng-template>

        <div class="d-flex justify-content-center w-100">
            <div class="d-flex align-items-center w-75 flex-column justify-content-center">
                <div class="w-40 more-rounded verde">
                    <div class="w-100 d-flex justify-content-center align-items-center flex-column p-5">
                        <div class="my-3 pb-3 text-xl"><img class="w-100" src="./assets/QR/lgamscr.png" alt="" /></div>
                        <!--<img class="w-100" src="https://upload.wikimedia.org/wikipedia/commons/d/d7/Commons_QR_code.png" alt="" />-->

                        <!--<img class="w-100" src="{{'data:image/png;base64,'+base64}}" width="150" height="150">-->
                        <img class="mx-auto d-block" src="{{'data:image/png;base64,'+base64}}" width="250" height="250">

                    </div>
                    <div class="w-100 py-5 px-3 text-center font-bold azul-front gris text-xl">
                        Escanea. Paga. Y listo.
                    </div>
                    <div class="col text-center">
                        <button class="btn btn-primary center-block" (click)="Pagar()"> Pagar </button>
                    </div>
                </div>
                <div class="w-50 gris">&nbsp;</div>
            </div>
        </div>

        <!-- <div class="card-header">
            <div class="card border-white text-white bg-white"></div>
            <img
              class="mx-auto d-block"
              src="./assets/QR/qr_img.png"
              alt="Card image cap"
            />
            <div class="card-body"></div>
            <div class="card-footer">
              <div class="container-fluid h-100">
                <div class="row w-100">
                  <div class="col text-center">
                    <button class="btn btn-primary center-block">Pagar</button>
                  </div>
                </div>
              </div>
            </div>
          </div> -->

        <div class="d-flex justify-content-between mt-4 ">
            <button mat-button matStepperPrevious>Anterior</button>
            <button mat-button (click)="reset()">Reiniciar</button>
            <!--stepper.reset()-->
        </div>
    </mat-step>
</mat-stepper>

<!--</div>-->